﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.OleDb;
using System.Windows.Forms;

namespace StudentScore
{
    class DataAcess
    {
        private string strDSN;
        OleDbConnection cn;
        public void dataCon()
        {
            strDSN = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source="+Application.StartupPath.ToString()+"\\student.mdb";
            cn = new OleDbConnection(strDSN);
        }
        public DataSet getDataset(string sql)
        {
            DataSet ds = new DataSet();
            cn.Open();
            try
            {
                OleDbCommand cmd = new OleDbCommand(sql,cn);
                OleDbDataAdapter da = new OleDbDataAdapter(cmd);
                da.Fill(ds);
                return ds;
            }
            catch (Exception ex)
            {
                throw new Exception(ex.ToString());
            }
            finally
            {
                cn.Close();
            }
        }
        public bool sqlExec(string sql)
        {
            try
            {
                cn.Open();
            }
            catch
            {
                MessageBox.Show("数据库未连接");
            }
            try
            {
                OleDbCommand cmd = new OleDbCommand(sql, cn);
                cmd.ExecuteNonQuery();
                return true;
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "提示");
                return false;
            }
            finally
            {
                cn.Close();
            }
        }

    }
}
